/**
 * Creates a wrapper object to allow you to work with numerical values.
 * @syntax new Number(value)
 * @param {Object} value The numeric value of the object being created.
 * @returns {Number} 
 */
function Number(value) {
}
/**
 * @syntax number.toLocaleString()
 * @returns {String} 
 */
Number.prototype.toLocaleString = function() {};

/**
 * Returns a string representing the source code of the object.
 * @syntax number.toSource()
 * @returns {String} 
 */
Number.prototype.toSource = function() {};

/**
 * A value representing Not-A-Number.
 * @returns {Number} 
 * @static
 */
Number.NaN = new Number();

/**
 * Returns a string representing the Number object to the specified precision.
 * @syntax number.toPrecision( [ precision ] )
 * @param {Number} precision An integer specifying the number of significant digits.
 * @returns {Number} 
 */
Number.prototype.toPrecision = function( ) {};

/**
 * A value representing the negative Infinity value.
 * @returns {String} 
 * @static
 */
Number.NEGATIVE_INFINITY = new String();

/**
 * Formats a number using fixed-point notation
 * @syntax number.toFixed( [digits] )
 * @param {Number} digits The number of digits to appear after the decimal point; this may be a value between 0 and 20, inclusive, and implementations may optionally support a larger range of values. If this argument is omitted, it is treated as 0.
 * @returns {Number} 
 */
Number.prototype.toFixed = function( ) {};

/**
 * The maximum numeric value representable in JavaScript.
 * @returns {Number} 
 * @static
 */
Number.MAX_VALUE = new Number();

/**
 * Returns a string representing the specified Number object
 * @syntax number.toString( [radix] )
 * @param {Number} radix An integer between 2 and 36 specifying the base to use for representing numeric values.
 * @returns {String} 
 */
Number.prototype.toString = function( ) {};

/**
 * Returns the primitive value of a Number object.
 * @syntax number.valueOf()
 * @returns {Number} 
 */
Number.prototype.valueOf = function() {};

/**
 * Returns a string representing the Number object in exponential notation
 * @syntax number.toExponential( [fractionDigits] )
 * @param {Number} fractionDigits An integer specifying the number of digits after the decimal point. Defaults to as many digits as necessary to specify the number.
 * @returns {Number} 
 */
Number.prototype.toExponential = function( ) {};

/**
 * The smallest positive numeric value representable in JavaScript.
 * @returns {Number} 
 * @static
 */
Number.MIN_VALUE = new Number();

/**
 * A value representing the positive Infinity value.
 * @returns {String} 
 * @static
 */
Number.POSITIVE_INFINITY = new String();

/**
 * Returns a reference to the Number function that created the instance's prototype. Note that the value of this property is a reference to the function itself, not a string containing the function's name.
 * @returns {Function} 
 */
Number.prototype.constructor = new Function();

/**
 * Represents the prototype for the Number constructor.
 * @returns {Object} 
 * @static
 */
Number.prototype;

